> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all product-type enrichment overrides for a property

> Get all enrichment config overrides for a property (product-type and category levels).



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/property-definitions/{key}/enrichment-overrides
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/property-definitions/{key}/enrichment-overrides:
    get:
      tags:
        - Property Definitions
      summary: Get all product-type enrichment overrides for a property
      description: >-
        Get all enrichment config overrides for a property (product-type and
        category levels).
      operationId: get_property_enrichment_overrides
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropertyEnrichmentOverridesResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PropertyEnrichmentOverridesResponse:
      properties:
        category_overrides:
          items:
            $ref: '#/components/schemas/CategoryOverrideItem'
          title: Category Overrides
          type: array
        default_enrichment_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Default Enrichment Config
        default_prompt_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Prompt Name
        override_count:
          title: Override Count
          type: integer
        overrides:
          items:
            $ref: '#/components/schemas/EnrichmentOverrideItem'
          title: Overrides
          type: array
        property_key:
          title: Property Key
          type: string
      required:
        - property_key
        - overrides
        - override_count
      title: PropertyEnrichmentOverridesResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CategoryOverrideItem:
      description: Category-level enrichment override for a property.
      properties:
        ai_matching_guidance:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Matching Guidance
        category_key:
          title: Category Key
          type: string
        category_name:
          title: Category Name
          type: string
        enrichment_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Enrichment Config
        prompt_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Name
      required:
        - category_key
        - category_name
      title: CategoryOverrideItem
      type: object
    EnrichmentOverrideItem:
      properties:
        ai_matching_guidance:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Matching Guidance
        enrichment_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Enrichment Config
        product_type_key:
          title: Product Type Key
          type: string
        product_type_name:
          title: Product Type Name
          type: string
        prompt_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Name
      required:
        - product_type_key
        - product_type_name
      title: EnrichmentOverrideItem
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````